Fehler beim Updateversuch auf das WSC 5.2.7

  • Affected App
    WoltLab Suite Core

    Mir wurden gerade im ACP die Updates auf die Version 5.2.7 zur Installation angeboten. Beim Versucht, von 5.2.6 zu aktualisieren, erhalte ich den folgenden Fehler:


    Requested URL
    /acp/index.php?install-package/&t=e51b5bc70893812b7db3eb36935e420de4758641
    Referrer
    https://www.compiware-forum.de/acp/index.php?package-update/
    Error Message
    error(s) during the installation of the files.
    Type
    wcf\system\exception\SystemException
    File (Line)
    /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/system/setup/Installer.class.php (167)
    Stacktrace
    1. /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/system/setup/Installer.class.php (54): wcf\system\setup\Installer->install(…)
    2. /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/system/package/PackageInstallationDispatcher.class.php (830): wcf\system\setup\Installer->__construct(…)
    3. /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/system/package/plugin/FilePackageInstallationPlugin.class.php (51): wcf\system\package\PackageInstallationDispatcher->extractFiles(…)
    4. /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/system/package/plugin/AbstractPackageInstallationPlugin.class.php (70): wcf\system\package\plugin\FilePackageInstallationPlugin->install(…)
    5. /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/system/package/PackageInstallationDispatcher.class.php (743): wcf\system\package\plugin\AbstractPackageInstallationPlugin->update(…)
    6. /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/system/package/PackageInstallationDispatcher.class.php (144): wcf\system\package\PackageInstallationDispatcher->executePIP(…)
    7. /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/acp/action/InstallPackageAction.class.php (73): wcf\system\package\PackageInstallationDispatcher->install(…)
    8. /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/action/AbstractDialogAction.class.php (68): wcf\acp\action\InstallPackageAction->stepInstall(…)
    9. /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/action/AbstractAction.class.php (47): wcf\action\AbstractDialogAction->execute(…)
    10. /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/system/request/Request.class.php (83): wcf\action\AbstractAction->__run(…)
    11. /var/www/compiware-forum.de/htdocs/compiware-forum.de/lib/system/request/RequestHandler.class.php (107): wcf\system\request\Request->execute(…)
    12. /var/www/compiware-forum.de/htdocs/compiware-forum.de/acp/index.php (9): wcf\system\request\RequestHandler->handle(…)


    Was läuft hier schief? Zum Glück scheint aber nicht kaputt gegangen zu sein. Ich kann meine Seite noch aufrufen... :/

  • Hallo,


    ohne jetzt die Meldung bis unten im Detail zu lesen und auf die Schnelle: Hast Du im ACP die Paket-Server korrekt eingetragen?

    Passen evtl. Abhängigkeiten (z.B: zum Core) nicht, die ebenfalls aktualisiert werden müssten?


    Der Importer (falls installiert) müsste z.B. ebenfalls aktualisiert werden, in meinem Fall war es von 5.2.4 auf 5.2.7 und das hatte ebenfalls klaglos funktioniert.

    Gruß

    Jörg

    (Jaydee)

  • Hast Du im ACP die Paket-Server korrekt eingetragen?

    Passen evtl. Abhängigkeiten (z.B: zum Core) nicht, die ebenfalls aktualisiert werden müssten?

    Es ist nicht das erste Update, welches ich durchführe... Das Update auf das WSC 5.2.6 und der einzelnen Komponenten klappte zuletzt ohne Probleme.


    Der Importer (falls installiert) müsste z.B. ebenfalls aktualisiert werden, in meinem Fall war es von 5.2.4 auf 5.2.7

    Und das Paket wird mir auch zum Update angeboten. ;)


    Folgende Pakete werden mir zur Installation auf die Version 5.2.7 angeboten:

    WoltLab Suite Filebase

    WoltLab Suite Gallery

    WoltLab Suite Forum

    WoltLab Suite Core: Importer


    Was ist denn an den Updates auf die Version 5.2.7 anders als bei der Version 5.2.6.? Warum kommt es zu diesem Fehler? :/

  • Lösch Mal im ACP den Cash suche noch mal nach Updates und Versuche es dann noch Mal.


    Das bezog sich nur auf die fehlende Unterstützung des Updates von WBB 5.0.24 auf 5.0.25, was aber mittlerweile korrigiert wurde. In Pooomuckels Fall könnte es an nicht hinreichenden Schreibrechten im Dateisystem liegen.





    Gruß norse

    Zugang zu meinen Arbeiten und dem dazugehörigen Support bekommt Ihr bei Interesse hier.

  • Ach OK dann habe ich da was durcheinander bekommen 🙈

  • In Pooomuckels Fall könnte es an nicht hinreichenden Schreibrechten im Dateisystem liegen.

    Die Frage ist nur, warum die Rechte plötzlich nicht mehr für ein Update reichen? :/


    Ich habe mir mal das Thema Update fehler angeschaut...

    nachdem ich nun alle tpl´s innerhalb von wcf/templates so wie wcf/style auf 777 gestellt habe lief es durch.

    Frage allerding ob das si richtig ist, das alles auf 777 leuft ? (sicherheit)

    Keine Datei in diesen Verzeichnissen hat das Recht 777. Wüsste auch nicht, warum das plötzlich so sein sollte? :(

  • Es geht ja je nach Serverkonfiguration auch nicht darum, dass alle Ordner und Dateien zwingend 777 haben müssen. In früheren Themen zu dieser Fehlermeldung war es anscheinend jeweils so, dass einige Dateien geringere als die mindestens benötigten Berechtigungen hatten. Darauf solltest Du prüfen.





    Gruß norse

    Zugang zu meinen Arbeiten und dem dazugehörigen Support bekommt Ihr bei Interesse hier.

  • Alle Dateien (selbst Log Dateien) müssen zwingend beschreibbar sein. Das kann je nach Server Konfiguration 777 oder auch 644 sein.

  • Das leuchtet ein. Aber warum reichen jetzt plötzlich bei diesem Update die vorhandenen Rechte nicht mehr aus? Es klappte doch bis 5.2.6 einwandfrei. :/

  • Aber warum reichen jetzt plötzlich bei diesem Update die vorhandenen Rechte nicht mehr aus?

    Das tun sie ja im Normalfall. Es hat sich nichts geändert und in anderen Fällen lief das Update ja auch problemlos durch. Auch bei uns, und ich habe weder an Datei- noch Ordner-Rechten auf dem Server in der Zwischenzeit irgendetwas geändert.

    Das müsste als bei Dir der Fall gewesen sein, evtl. mal bei Deinem Hoster im Support danach fragen. Auch der "Eigentümer" muss rechtetechnisch passen, nur als Beispiel.

    Gruß

    Jörg

    (Jaydee)

  • Ich kann mir auch nicht vorstellen daß sich da groß was geändert hatt. Hier sollte man schauen ob vielleicht sich der Benutzer geändert hatt oder so dann würde er nämlich auch schimpfen.


    Was nutzt du den zur Verwaltung plesk oder machst du es komplett ohne?

  • Ich habe einen Managed Webserver von WBB-Elite.de. Werde mal fragen, ob Cyperghost mal einen Blick darauf werfen kann.


    Bin hier gerade etwas kurz angebunden, da ich in Österreich wandern bin. Wollte ja nur schnell mal eben das Update durchlaufen lassen... :D

  • Bin hier gerade etwas kurz angebunden, da ich in Österreich wandern bin. Wollte ja nur schnell mal eben das Update durchlaufen lassen.

    Ich beneide dich muss auch unbedingt Mal wieder los schön mit Tarp etc viel Spaß dir noch.

  • norse hat Recht.


    Es handelt sich um ein Rechteproblem. Ich habe ganz vergessen, dass mein Hoster einige wichtige Dateien vor Veränderungen geschützt hat. Ich muss eine Update Installation erst temporär freischalten lassen... 🤔


    Es tut mir leid, dass ich hier deswegen Panik verbreitet habe. Ich bin reif für Urlaub und zum Glück bin ich gerade mitten drin. 😉

  • Dann genieße ihn erstrecht. :)

    Ich fühle mich ebenfalls in den letzten Tagen mehr als urlaubsreif, gerade auch nach der (ersten) Hitzewelle der letzten Woche. =O


    Gerade jetzt nach dem Abflauen der ersten großen Corona-Welle ist der Urlaub jedem mehr als zu gönnen. Wenn ich noch aktiv fliegen würde und die Kohle über hätte, würde ich mir mal wieder ein Flugzeug krallen und damit etwas "turnen" oder einfach nur über Land fliegen. :)

    Einfach mal wieder "alles unter sich lassen", den Mist der letzten Monate... (frei nach Reinhard Mey (der ja selbst lange Zeit Pilot war) " ... und was uns groß und wichtig erscheint, wird plötzlich nichtig und klein.")

    Gruß

    Jörg

    (Jaydee)

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!